> ## Documentation Index
> Fetch the complete documentation index at: https://docs.idalia.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get asset by ID

> Get an asset by its ID



## OpenAPI

````yaml https://spec.speakeasy.com/idalia-r5y/idalia/api-documentation-with-code-samples get /assets/{id}
openapi: 3.0.0
info:
  title: API Documentation
  version: 1.0.0
  description: This is the OpenAPI specification for your project.
servers:
  - url: https://idalia.app/api
    description: Idalia API server
security: []
paths:
  /assets/{id}:
    get:
      tags:
        - Assets
      summary: Get asset by ID
      description: Get an asset by its ID
      operationId: getAssetByID
      parameters:
        - in: path
          name: id
          schema:
            type: string
            description: Asset ID
          required: true
          description: Asset ID
          example: '123'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetResponse'
        '400':
          $ref: '#/components/responses/400'
        '500':
          $ref: '#/components/responses/500'
      x-codeSamples:
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Idalia } from "idalia";

            const idalia = new Idalia({
              apiKeyAuth: process.env["IDALIA_API_KEY_AUTH"] ?? "",
            });

            async function run() {
              const result = await idalia.assets.getById({
                id: "123",
              });

              console.log(result);
            }

            run();
components:
  schemas:
    AssetResponse:
      type: object
      properties:
        id:
          type: string
          description: The asset ID
        createdAt:
          type: string
          description: Datetime when the asset was created
        updatedAt:
          type: string
          nullable: true
          description: Datetime when the asset was last modified
        workspaceId:
          type: string
          description: The ID of the workspace the asset belongs to
        name:
          type: string
          description: The name of the asset
        uid:
          type: string
          nullable: true
          description: Unique reference ID of the asset
        statusId:
          type: string
          nullable: true
          description: ID of the assets's status
        assetTypeId:
          type: string
          nullable: true
          description: ID of the asset's type
        currentLocationId:
          type: string
          nullable: true
          description: ID of the asset's current location
        updatedBy:
          type: string
          nullable: true
          description: ID of the user who last updated the asset
        trackUtilization:
          type: boolean
          nullable: true
        manufacturedAt:
          type: string
          nullable: true
          description: Datetime when the asset was manufactured
        acquiredAt:
          type: string
          nullable: true
          description: Datetime when the asset was acquired
        ownerId:
          type: string
          nullable: true
          description: ID of the company that owns the asset
        manufacturerId:
          type: string
          nullable: true
          description: ID of the company that manufactured the asset
        purchaseOrderId:
          type: string
          nullable: true
          description: ID of the purchase order used to purchase the asset
        externalIds:
          type: object
          additionalProperties:
            type: string
          nullable: true
      required:
        - id
        - createdAt
        - workspaceId
        - name
  responses:
    '400':
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Invalid request parameters
              code:
                type: string
                example: '400'
    '500':
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: An unexpected error occurred
              code:
                type: string
                example: '500'

````